%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:           gaupol
Version:        0.19.2
Release:        %mkrel 4
Summary:        Subtitle editor
License:        GPLv3+
Group:          Video/Editors and Converters
URL:            http://home.gna.org/gaupol/
Source0:        http://download.gna.org/%{name}/%{url_ver}//%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:	python-devel
Requires:	gstreamer0.10-python
Requires:	gstreamer0.10-pocketsphinx
Requires:	pygtk2.0 >= 2.16
Requires:	python-aeidon
Suggests:	python-enchant >= 1.4.0
Suggests:	python-chardet
Suggests:	mplayer

%package -n python-aeidon
Summary:	Python package for reading, writing and manipulating text-based subtitle files
Group:		Development/Python
Url:		http://download.gna.org/gaupol/doc/api/aeidon.html
Provides:	aeidon = %{version}-%{release}

%description
Editor for text-based subtitle files. It supports multiple subtitle file
formats and provides means of correcting texts and timing subtitles to match
video. The user interface is designed with attention to batch processing of
multiple documents and convenience of translating.

%description -n python-aeidon
aeidon is a Python package that provides classes and functions for dealing
with text-based subtitle files of many different formats. Functions exist
for reading and writing subtitle files as well as manipulating subtitle data,
i.e. positions (times or frames) and texts.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install \
	--root=%{buildroot} \
	--no-compile

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO
%{_bindir}/gaupol
%{python_sitelib}/gaupol*
%{_datadir}/applications/gaupol.desktop
%{_mandir}/man1/gaupol.1*
%{_datadir}/gaupol
%{_datadir}/icons/hicolor/*/apps/gaupol.*

%files -n python-aeidon
%doc README.aeidon
%{python_sitelib}/aeidon/


%changelog

* Sun Jan 20 2013 barjac <barjac> 0.19.2-4.mga3
+ Revision: 390247
- update group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 wally <wally> 0.19.2-2.mga3
+ Revision: 268195
- fix python-aeidon url
- clean .spec

* Sun Nov 27 2011 wally <wally> 0.19.2-1.mga2
+ Revision: 172754
- new version 0.19.2

* Thu Sep 08 2011 wally <wally> 0.19.1-1.mga2
+ Revision: 141108
- new version 0.19.1

* Mon Jul 18 2011 wally <wally> 0.19-1.mga2
+ Revision: 125980
- new version 0.19
- enable speech recognition support

* Wed Jun 08 2011 wally <wally> 0.18-1.mga2
+ Revision: 101922
- new version 0.18

* Sun Apr 10 2011 wally <wally> 0.17.2-1.mga1
+ Revision: 82771
- new version 0.17.2

* Sun Jan 16 2011 wally <wally> 0.17.1-1.mga1
+ Revision: 20422
- imported package gaupol


* Sun Nov 07 2010 Jani Välimaa <wally@mandriva.org> 0.17.1-1mdv2011.0
+ Revision: 594692
- new version 0.17.1
- drop obsolete py_requires macro
- disable byte-compiling

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0.17-2mdv2011.0
+ Revision: 590864
- rebuild for py 2.7

* Sat Aug 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.17-1mdv2011.0
+ Revision: 567460
- update to 0.17
- remove 'mdkversion < 200900' bits, too old
- improve aeidon description

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 0.16.2-1mdv2011.0
+ Revision: 550055
- new version 0.16.2
- fix requires/suggests
- split aeidon to a separate package

* Wed Mar 24 2010 Jani Välimaa <wally@mandriva.org> 0.15.1-1mdv2010.1
+ Revision: 527161
- enable byte-compiling
- new version 0.15.1

* Sun May 17 2009 Funda Wang <fwang@mandriva.org> 0.15-1mdv2010.0
+ Revision: 376519
- New version 0.15

* Sat May 09 2009 Anssi Hannula <anssi@mandriva.org> 0.14-1mdv2010.0
+ Revision: 373585
- initial Mandriva release (by Jani V?\195?\164limaa)

